function yeah=grapher6 (woah)
%This function takes in the info from reader4
%and graphs it into the rotating and linear
%animated displays.


%Definitions and variable clearing follow

DEG=2*pi/360;

%Information from reader function

numvectors=woah (3,1);
MagArray(1:numvectors)=woah(1,1:numvectors);
FreqArray(1:numvectors)=woah(2,1:numvectors);
PeriodArray(1:numvectors)=woah(6,1:numvectors);
PhaseArray(1:numvectors)=woah(7,1:numvectors);
LCMPeriod=woah(5,1);
MagScale=woah(4,1);

%*******************************************
%First set up the top-left axis

tl=subplot (1,2,1);

	%Now we set up the axis
	set(tl,'Units','normalized','Position',[0 .1 .47 .85])

	axis([-MagScale-.2 MagScale+.2...
		-MagScale-.2 MagScale+.2])
	axis square	
	axis off
	% To add the zero lines
	line([-.1*MagScale .1*MagScale],[0 0],...
		'Color',[.5 .5 .5],'EraseMode','none');
	line([0 0],[-.07*MagScale .07*MagScale],...
		'Color',[.5 .5 .5],'EraseMode','none');
%Now the top-right axis

tr=subplot(1,2,2);
global Periods;	
	set(tr,'Units','normalized','Position',[.5 .1 .47 .85])
	axis ([0 (360*(LCMPeriod)*Periods)+30 ...
 		-MagScale-.2 MagScale+.2])
	axis square
	axis off
	% To add the zero line
	line([0 (360*(LCMPeriod)*Periods)+30],[0 0],...
		'Color',[.5 .5 .5],'EraseMode','none');

%*********************************************************

%This part will do the drawing

%-----------------------------------------------------------

%xvold and yvold are to hold the old trace points,
%so that we may connect the dots to the new
%trace points.  Here we calculate the starting point,
%avoiding an if statement in the loop.
%The if statement would be needed to prevent drawing
%a line from the point 0,0 to the first end point of
%the sum of the vectors; it would check to make sure
%that xvold or yvold ~=0
xvold=0;
yvold=0;
xold=0;
yold=0;

%*******************************
subplot(tl)
for iloop=1:numvectors

		[xnew,ynew]=pol2cart( ( DEG*PhaseArray(iloop) ), MagArray(iloop));

		%To plot the lines and alternate colors
		if rem(iloop,2)==1
			rothandle(1,iloop)=line([xold,xold+xnew],...
			[yold,yold+ynew],'EraseMode','xor','Color','r');
		else
			rothandle(1,iloop)=line([xold,xold+xnew],...
			[yold,yold+ynew],'EraseMode','xor','Color','g');
		end
		drawnow;
		pause (1);
		xold=xold+xnew;
		yold=yold+ynew;
	end %We've now drawn each vector once

pause (2);
xvold=xvold+xold;
yvold=yvold+yold;
delete(rothandle(1,1:numvectors));
%**********************************8
%**********************************

%The main loop.
%Now we catch each vector at a rate of 360/Sample times
%A total of 'Periods' periods are performed

global Sample
global SpeedFactor
AdjustedSample=Sample*SpeedFactor;
SRate=360/AdjustedSample;
for dloop=0:(SRate/max(FreqArray)):(360*LCMPeriod)*Periods


%Need to compute once for each frequency

%xold and yold are the "relative origin" for each
%additional vector, the are continually changing
%but start at the origin.
xold=0;
yold=0;

subplot (tl)	%The rotating graph will be in the
		% top left

	for floop=1:numvectors

		[xnew,ynew]=pol2cart( (dloop*DEG*FreqArray(floop) ) + ( DEG*PhaseArray(floop) ),...
						MagArray(floop));

		%To plot the lines and alternate colors
		if rem(floop,2)==1
			rothandle(1,floop)=line([xold,xold+xnew],...
			[yold,yold+ynew],'EraseMode','xor','Color','r');
		else
			rothandle(1,floop)=line([xold,xold+xnew],...
			[yold,yold+ynew],'EraseMode','xor','Color','g');
		end

		xold=xold+xnew;
		yold=yold+ynew;
	end %We've now drawn each vector once


	%Now to connect the dots
	line ([xvold,xold],[yvold,yold],'EraseMode','none')


%****************************************************
%The next part will draw the cartesian version
%----------------------------------------------------

subplot(tr)

line ([(dloop-(SRate/max(FreqArray))),dloop],[yvold,yold],...
					'EraseMode','none')


%**********************************************

	xvold=xold;  %This is to store the last point plotted
	yvold=yold;  %so we can connect the dots


	%Now to delete the rotating graph
	subplot (tl)
	delete(rothandle(1:numvectors))

	%Now to draw everything
	drawnow


%**********************************************
%Now to go on to the next degree
end
