function nothing=pread(choice)
% This function reads data
% off the phase slider and does the following:
% 0   updates the display from slider
% .5  updates the display from text
% 1   gives a constant phase value
% 2   gives a proportional phase delay
% 3   applies the changes

global Psbox
global Pinfoval
global PropPha
global ConstPha


%---------------------------------

% This part updates the screen info

if choice==0
	curval=round(get(Psbox,'Value'));
	set(Pinfoval,'String',num2str(curval))
elseif choice==.5
	curval=str2num(get(Pinfoval,'String'));
	set(Psbox,'Value',curval);
end
%-------------------------------------------------

%  This part does the radio boxes
if choice==1
	set(PropPha,'Value',0)
	Prfl=0;
elseif choice==2
	set(ConstPha,'Value',0)
	Prfl=1;
end
%--------------------------------------------------

%  This part does the apply
if choice==3
	delay=round(get(Psbox,'Value'));
	PropOnOff=get(PropPha,'Value');
	if get(ConstPha,'Value')==0 & PropOnOff==0
		PropOnOff=1;
	end


%
%This function adds degrees to
%each value in the Phase coloumn

global numvectors PhaseInfo FreqInfo

for i=1:numvectors;
	str=get(PhaseInfo(i),'String');
	Phase(i)=str2num(str);
	frq=get(FreqInfo(i),'String');
	Freq(i)=str2num(frq);
	if PropOnOff==0
		Nphase(i)=Phase(i)+delay;
	elseif PropOnOff==1
		propdelay=delay*Freq(i);
		Nphase(i)=Phase(i)+propdelay;
	end
	set (PhaseInfo(i),'String',Nphase(i))
	
end % of numvectors loop

close(gcf)
%----------------------------------------------------
% To add the changes to what's in TitleInfo matrix
global TitleInfo
if PropOnOff==0  % a constant delay
	TitleInfo(3,1)=TitleInfo(3,1)+delay;
elseif PropOnOff==1 % a proportional delay
	TitleInfo(3,2)=TitleInfo(3,2)+delay;
end
%----------------------------------------------------

end %of choice 3
	